Can't Compile On Windows


mhadf

Member
Joined
Jun 23, 2009
Messages
172
I've followed the instructions on http://www.gp32x.de/board/index.php?/topic/46371-using-devkitgp2x-in-the-wiz/ about which files to alter for compiling for the Wiz.

I've removed the -static from the link in the makefile and have tried leaving it blank AND also replacing it with -mcpu=arm926ej-s -mtune=arm926ej-s.

This is what I'm getting

C:\devkitGP2X\demo\guyfawkes>make
C:/devkitGP2X/bin/arm-linux-g++ -mcpu=arm926ej-s -mtune=arm926ej-s -o sdltest.gp
e sdltest.o -L"C:/devkitGP2X/lib" -lSDL -lSDL_gfx --start-group -lSDL_ttf -lfree
type -lSDL --end-group -lSDL_image -ljpeg -lpng12 -lz --start-group -lSDL_mixer
-lvorbisidec -lmikmod -lsmpeg -lSDL --end-group -lgcc -lm -lc -lexpat -lpthread
-ldl
c:\devkitgp2x\bin\..\lib\gcc\arm-linux\4.0.2\..\..\..\..\arm-linux\bin\ld.exe: c
annot find /usr/lib/ inside c:\devkitgp2x\arm-linux\bin\../../sysroot
make: *** [sdltest.gpe] Error 1

Any ideas what I need to do?
 
Last edited by a moderator:

mhadf

Member
Joined
Jun 23, 2009
Messages
172
NM, got it to compile in the end.

REinstalled DevkitGP2X and altered those 2 files again. Compiled fine.

Now it's just stuck on the loading screen on the Wiz.
 

spued

Still Fresh
Joined
May 18, 2009
Messages
9
You need to print the stdout to file to know what happen on run time.Or you have the serial console to see the error messages.
 

mhadf

Member
Joined
Jun 23, 2009
Messages
172
Thanks,

Looks like something was missing.

error while loading shared libraries: libSDL_gfx.so.13: cannot open shared object file: No such file or directory

The library is there, any ideas?
 

mhadf

Member
Joined
Jun 23, 2009
Messages
172
so I've done a sym link with ln and that error has been resolved.

However now it's the same message with libmikmod.so.3.

What should this be resolving to?
 

Pickle

Mega GP Mania
Joined
May 30, 2006
Messages
5,516
Location
Detroit, Michigan
Website
Visit site
mhadf said:
so I've done a sym link with ln and that error has been resolved.

However now it's the same message with libmikmod.so.3.

What should this be resolving to?

Do the same thing you did with SDL_gfx, all you need is the shared lib next to your binary with that name or a symlink with that name pointing to the real lib.
 
Last edited by a moderator:

mhadf

Member
Joined
Jun 23, 2009
Messages
172
I feel like I've gone down the rabbit hole.... each time I resolve one I have to do the next.

One day Windows will be able to use apt-get and I'll be happy.
 

mhadf

Member
Joined
Jun 23, 2009
Messages
172
Well I had to resolve 3 dependency issues

libSDL_gfx.so.13
libmikmod.so.3
libexpat.so.0

I sym linked them to the relevant .so files and.........it's now getting past the loading screen.
But the screen is just black.


The output file is showing no problems, so I'm now stumped.

I've tried with both the demo and guyfawkes test program.

SO it looks like I've hit another dead end.


EDIT: Turns out it's just SDL things that won't compile.

MAME 2.3 source compiled first time with no issues :D
 

momosxp

Member
Joined
Apr 8, 2008
Messages
327
Location
Germany
hey,

I want to be able to compile for wiz, too.

I'm following this tutorial:
http://wiki.gp2x.org/wiki/Using_Devcpp

All was fine ... but now i'm here: Compiling SDLTest by Guyfawkes using new compiler
the "Guyfawkes precompiled libs " are down. But i think i don't need them for wiz?

What do i need now for wiz from this point?
 

Pickle

Mega GP Mania
Joined
May 30, 2006
Messages
5,516
Location
Detroit, Michigan
Website
Visit site
momosxp said:
hey,

I want to be able to compile for wiz, too.

I'm following this tutorial:
http://wiki.gp2x.org/wiki/Using_Devcpp

All was fine ... but now i'm here: Compiling SDLTest by Guyfawkes using new compiler
the "Guyfawkes precompiled libs " are down. But i think i don't need them for wiz?

What do i need now for wiz from this point?

If your past the linking stage then just try your binary. The only thing is if you used any libs the wiz doesnt have you would have to add them.
 
Last edited by a moderator:

momosxp

Member
Joined
Apr 8, 2008
Messages
327
Location
Germany
when trieing to compile for gp2x i get this error: cannot find -lSDL
where can i download "Guyfawkes precompiled libs"

with linker stage do you mean "Create a new compiler profile and configure it for devkitGP2X" ?
 

momosxp

Member
Joined
Apr 8, 2008
Messages
327
Location
Germany
OK, i made the changes with devkitgp2x and devcpp
I can compile for gp2x without any problems.

But I can compile only with -static.
Without i'll get this:
[Warning] libpng.so.3, needed by C:/devkitGP2X/lib/libSDL_image.so, not found (try using -rpath or -rpath-link)
But all, libpng.so.3 and a shortcut named libpng.so.3 which is linking to libpng.so.3.1.2 (which does exists) AND libSDL_image.so are there in the "C:\devkitGP2X\lib"

Hope someone can help me.
Without static the gpe doesn't work on wiz :(

edit: forgot to mention that i'm trieing to compile guyfawke's sdltest
-using devkitgp2x-rc2 from devkitpro sourcefourge
-guyfawkes SDL Libs v211006 from gp2x file archiv
 
Top